Resume a paused campaign
POST
/campaigns/{id}/resume
const url = 'https://app.whatsetter.com/api/v1/campaigns/example/resume';const options = {method: 'POST', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://app.whatsetter.com/api/v1/campaigns/example/resume \ --header 'Authorization: Bearer <token>'Reactivates a paused campaign. Subject to your plan’s active-campaign
limit: 402 plan_limit_reached when the quota is full. Draft
campaigns must be activated from the dashboard. Requires scope
campaigns:write.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Responses
Section titled “Responses”The reactivated campaign
Media typeapplication/json
object
data
object
id
string
campaign_id
The value used by /leads?campaign_id= and lead objects.
string | null
name
string | null
status
string | null
purpose
Setter or group
string | null
whatsapp_connected
boolean
created_at
string format: date-time
Examplegenerated
{ "data": { "id": "example", "campaign_id": "example", "name": "example", "status": "example", "purpose": "example", "whatsapp_connected": true, "created_at": "2026-04-15T12:00:00Z" }}Missing, unknown or revoked API key
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Active-campaign plan limit reached
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Resource not found in this workspace
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}Campaign is not paused
Media typeapplication/json
object
error
object
code
string
message
string
Examplegenerated
{ "error": { "code": "example", "message": "example" }}
